<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>Seminar</title>
</head>

<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Seminar</span>
                                    </div>
                                    <div class="col-auto">
                                        <div
                                                class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-6 col-xs-12">
                                    <div class="form-group">
                                        <label>Tahun Akademik</label>
                                        <select name="tahunAkademik" required class="form-control">
                                            <option value="" selected disabled>-- Select One --</option>
                                            <option th:each="tahun : ${tahun}"
                                                    th:selected="(${tahun} == *{selectedTahun})"
                                                    th:text="${tahun.namaTahunAkademik}" th:value="${tahun.id}">
                                            </option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <div class="form-group">
                                        <label>Program Study</label>
                                        <select name="prodi" required class="form-control">
                                            <option value="" selected disabled>-- Select One --</option>
                                            <option th:each="prodi : ${prodi}"
                                                    th:selected="(${prodi} == *{selectedProdi})"
                                                    th:text="${prodi.namaProdi}" th:value="${prodi.id}"></option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary"><i class="fas fa-list"></i>
                                        Show</button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="card-body" th:if="${selectedTahun != null}">
                        <div class="card shadow">
                            <div class="card-header border-0">
                                <h3 class="mb-0">List</h3>
                            </div>
                            <div class="card-body">
                                <a th:href="@{/dowload/dataSeminar(tahunAkademik = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                   class="btn btn-success">Download Excel</a>
                            </div>
                            <div class="table-responsive">
                                <table class="table align-items-center table-flush">
                                    <thead class="thead-light">
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">NIM</th>
                                        <th scope="col">Nama</th>
                                        <th scope="col">Pembimbing</th>
                                        <th scope="col">Jenis</th>
                                        <th scope="col">Status</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data,row : ${listSempro}" th:if="${data.jenis != data.jenis.KONVERSI_JURNAL}">
                                        <td
                                                th:text="${(row.index + 1) + (listSempro.number * listSempro.size)}">
                                            1</td>
                                        <td th:text="${data.note.mahasiswa.nim}">12121</td>
                                        <td th:text="${data.note.mahasiswa.nama}">Muhammmad Rafizki</td>
                                        <td th:text="${data.note.dosen.karyawan.namaKaryawan}">Muhammmad Rafizki
                                        </td>
                                        <td th:text="${data.note.jenis}">Muhammmad Rafizki</td>
                                        <div class="modal fade" th:id="${'modal-default' + data.id}"
                                             tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
                                             aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="exampleModalLabel">Sempro
                                                        </h5>
                                                        <button type="button" class="close" data-dismiss="modal"
                                                                aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="alert alert-danger alert-with-icon"
                                                             id="alertSave" style="display: none">
                                                            <button type="button" aria-hidden="true"
                                                                    class="close" data-dismiss="alert"
                                                                    aria-label="Close">
                                                                <i class="fas fa-warning"></i>
                                                            </button>
                                                            <span data-notify="icon"
                                                                  class="tim-icons icon-trophy"></span>
                                                            <span id="textAlert"><b> Maaf! - </b>Nilai Belum
                                                                        Lengkap.</span>
                                                        </div>
                                                        <b>Title</b>
                                                        <p th:text="${data.note.judul}">Far far away, behind the
                                                            word mountains, far from the countries Vokalia and
                                                            Consonantia, there live the blind texts. Separated
                                                            they live in Bookmarksgrove right at the coast of
                                                            the Semantics, a large language ocean.</p>
                                                        <b>Title in English</b>
                                                        <p th:text="${data.note.judulInggris}">A small river
                                                            named Duden flows by their place and supplies it
                                                            with the necessary regelialia. It is a paradisematic
                                                            country, in which roasted parts of sentences fly
                                                            into your mouth.</p>
                                                        <div class="row"
                                                             th:if="${data.status != data.status.APPROVED}">
                                                            <div class="col-md-12">
                                                                <center>
                                                                    <a th:href="@{/graduation/seminar/view(id = ${data.id})}"
                                                                       class="btn btn-primary btn-sm"><i
                                                                            class="fa fa-cog"></i> Validation
                                                                    </a>
                                                                </center>
                                                            </div>
                                                        </div>
                                                        <br>

                                                        <!--                                                        <span th:if="${data.statusSempro != data.statusSempro.APPROVED}">-->
                                                        <span>
                                                                    <div class="row"
                                                                         th:if="${data.status == data.status.APPROVED}">
                                                                        <div class="col-md-6">
                                                                            <center>
                                                                                <b>Date</b>
                                                                                <p th:text="${data.tanggalUjian}">
                                                                                    2019-01-01</p>
                                                                            </center>
                                                                        </div>
                                                                        <div class="col-md-6">
                                                                            <center>
                                                                                <b>Time</b>
                                                                                <p th:text="${data.jamMulai}">10:30:00
                                                                                </p>
                                                                            </center>
                                                                        </div>
                                                                    </div>
                                                                    <center
                                                                            th:if="${data.status == data.status.APPROVED && data.note.jenis != data.note.jenis.JURNAL}">
                                                                        <b>Room</b>
                                                                        <p th:text="${data.ruangan.namaRuangan}">Abu
                                                                            Hanifah 1</p>
                                                                    </center>
                                                                </span>

                                                        <span
                                                                th:if="${data.statusSempro == data.statusSempro.APPROVED}">
                                                                    <div class="text-muted text-center mt-2 mb-3">
                                                                        <small>Score</small></div>
                                                                    <div class="row"
                                                                         th:if="${data.status == data.status.APPROVED}">
                                                                        <div class="col-md-4">
                                                                            <center>
                                                                                <b>Chairman</b>
                                                                                <p th:if="${data.note.jenis == data.note.jenis.SKRIPSI}"
                                                                                   th:text="${#numbers.formatDecimal((data.ka * 0.25) + (data.kb * 0.15) + (data.kc * 0.2) + (data.kd * 0.1) + (data.ke * 0.15) + (data.kf * 0.15), 0, 'COMMA', 2, 'POINT')}">2019-01-01</p>
                                                                        <p th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}" th:text="${#numbers.formatDecimal((data.ka * 0.3) + (data.kb * 0.25) + (data.kc * 0.2) + (data.kd * 0.15) + (data.ke * 0.1), 0, 'COMMA', 2, 'POINT')}">2019-01-01</p>
                                                                    </center>
                                                                </div>
                                                                <div class="col-md-4">
                                                                    <center>
                                                                        <b>Examiner</b>
                                                                         <p th:if="${data.note.jenis == data.note.jenis.SKRIPSI}" th:text="${#numbers.formatDecimal((data.ua * 0.25) + (data.ub * 0.15) + (data.uc * 0.2) + (data.ud * 0.1) + (data.ue * 0.15) + (data.uf * 0.15), 0, 'COMMA', 2, 'POINT')}">2019-01-01</p>
                                                                         <p th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}" th:text="${#numbers.formatDecimal((data.ua * 0.3) + (data.ub * 0.25) + (data.uc * 0.2) + (data.ud * 0.15) + (data.ue * 0.1), 0, 'COMMA', 2, 'POINT')}">2019-01-01</p>

                                                                    </center>
                                                                </div>
                                                                <div class="col-md-4">
                                                                    <center>
                                                                        <b>Mentor</b>
                                                                        <p th:if="${data.note.jenis == data.note.jenis.SKRIPSI}" th:text="${#numbers.formatDecimal((data.pa * 0.25) + (data.pb * 0.15) + (data.pc * 0.2) + (data.pd * 0.1) + (data.pe * 0.15) + (data.pf * 0.15), 0, 'COMMA', 2, 'POINT')}">2019-01-01</p>
                                                                        <p th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}" th:text="${#numbers.formatDecimal((data.pa * 0.3) + (data.pb * 0.25) + (data.pc * 0.2) + (data.pd * 0.15) + (data.pe * 0.1), 0, 'COMMA', 2, 'POINT')}">2019-01-01</p>
                                                                    </center>
                                                                </div>
                                                            </div>
                                                            <center th:if="${data.status == data.status.APPROVED}">
                                                                <b>Total Score</b>
                                                                <p th:text="${data.nilai}">Abu Hanifah 1</p>
                                                            </center>
                                                        </span>

                                                        <br>
                                                        <div class="row" th:if="${data.status == data.status.APPROVED && data.statusSempro == data.statusSempro.APPROVED && data.publish == 'NONAKTIF'}">
                                                            <div class="col-md-12">
                                                                <center>
                                                                    <form th:action="@{/graduation/seminar/finalisasi (seminar = ${data.id})}" method="post">
                                                                        <button type="submit" class="btn btn-success btn-sm"><i class="fa fa-upload"></i> Publish </button>
                                                                    </form>
                                                                </center>
                                                            </div>
                                                        </div>

                                                        <div class="row" th:if="${data.status == data.status.APPROVED && data.statusSempro == data.statusSempro.WAITING}">
                                                            <div class="col-md-12">
                                                                <center>
                                                                    <a  th:href="@{/graduation/seminar/view(id = ${data.id})}" class="btn btn-primary btn-sm"><i class="fa fa-cog"></i> Validation </a>
                                                                </center>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <td>
                                            <button class="btn btn-info btn-sm" th:data-target="${'#modal-publish'+data.id}" data-toggle="modal" th:if="${data.status == data.status.APPROVED && data.statusSempro == data.statusSempro.WAITING}">Menunggu Penilaian Lengkap</button>
                                            <button class="btn btn-primary btn-sm" th:data-target="${'#modal-publish'+data.id}" data-toggle="modal" th:if="${data.status == data.status.APPROVED && data.statusSempro == data.statusSempro.APPROVED && data.publish == 'NONAKTIF'}">Menunggu Publish</button>
                                            <button class="btn btn-success btn-sm" th:data-target="${'#modal-publish'+data.id}" data-toggle="modal" th:if="${data.status == data.status.APPROVED && data.statusSempro == data.statusSempro.APPROVED && data.publish == 'AKTIF'}">Seminar Sudah Publish</button>
                                            <button class="btn btn-warning btn-sm" th:if="${data.status == data.status.WAITING}">Menunggu Persetujuan</button>
                                            <button class="btn btn-warning btn-sm" th:if="${data.status == data.status.APPROVED_AKADEMIK}">Menunggu Persetujuan</button>

                                            <button class="btn btn-danger btn-sm" th:if="${data.status == data.status.REJECTED}">Ditolak</button>
                                            <button class="btn btn-danger btn-sm" th:if="${data.status == data.status.FAILED}">Tidak Lulus</button>

                                            <div class="modal fade bd-example-modal-lg fade" th:id="${'modal-publish'+data.id}" th:if="${data.ketuaPenguji != null && data.tanggalUjian != null}" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog modal-lg" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="exampleModalLabel">Detail Nilai</h5>
                                                            <a th:href="@{/graduation/seminar/score(seminar = ${data.id})}" class="btn btn-sm btn-default"><i class="fas fa-edit"></i></i> Edit Nilai</a>
                                                        </div>
                                                        <div class="modal-body">
                                                            <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" />

                                                            <div class="page-content container">
                                                                <div class="page-header text-blue-d2">
                                                                    <h1 class="page-title text-secondary-d1">
                                                                        Mahasiswa
                                                                        <small class="page-info">
                                                                            <i class="fa fa-angle-double-right text-80"></i>
                                                                            <span th:text="${data.note.mahasiswa.nama + ' ( ' + data.note.mahasiswa.nim + ' ) '}"></span>
                                                                        </small>
                                                                    </h1>
                                                                </div>

                                                                <div class="container px-0">
                                                                    <div class="row mt-4">
                                                                        <div class="col-12 col-lg-10 offset-lg-1">
                                                                            <div class="row">
                                                                                <div class="col-12">
                                                                                    <div class="text-center text-150">
                                                                                        <i class="fa fa-book fa-2x text-success-m2 mr-1"></i>
                                                                                        <span class="text-default-d3">Detail Seminar</span>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <!-- .row -->

                                                                            <hr class="row brc-default-l1 mx-n1 mb-4" />
                                                                            <div class="row">
                                                                                <div class="col-sm-6">
                                                                                    <div>
                                                                                        <span class="text-sm text-grey-m2 align-middle">Tanggal :</span>
                                                                                        <span class="text-600 text-110 text-blue align-middle"><strong th:text="${' ' + #temporals.day(data.tanggalUjian) + ' - ' + #temporals.monthNameShort(data.tanggalUjian) + ' - ' + #temporals.year(data.tanggalUjian)}"></strong></span>
                                                                                    </div>
                                                                                    <div class="text-grey-m2">
                                                                                        <div class="my-1">
                                                                                            <span class="text-sm text-grey-m2 align-middle">Jam     :</span>
                                                                                            <span class="text-600 text-110 text-blue align-middle"><strong th:text="${data.jamMulai + ' - ' + data.jamSelesai}"></strong></span>
                                                                                        </div>
                                                                                        <div class="my-1"  th:if="${data.ruangan != null}">
                                                                                            <span class="text-sm text-grey-m2 align-middle">Ruangan     :</span>
                                                                                            <span class="text-600 text-110 text-blue align-middle"><strong th:text="${data.ruangan.namaRuangan}"></strong></span>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <!-- /.col -->

                                                                                <div class="text-95 col-sm-6 align-self-start d-sm-flex justify-content-end">
                                                                                    <hr class="d-sm-none" />
                                                                                    <div class="text-grey-m2">
                                                                                        <div class="mt-1 mb-2 text-secondary-m1 text-600 text-125">
                                                                                            Detail Dosen
                                                                                        </div>

                                                                                        <div class="my-2"><i class="fa fa-circle text-blue-m2 text-xs mr-1"></i> <span class="text-600 text-90">Ketua :</span> <span class="text-600 text-110 text-blue align-middle" th:text="${data.ketuaPenguji.karyawan.namaKaryawan}">asdasdasd</span> </div>

                                                                                        <div class="my-2"><i class="fa fa-circle text-blue-m2 text-xs mr-1"></i> <span class="text-600 text-90">Dosen Penguji :</span> <span class="text-600 text-110 text-blue align-middle" th:text="${data.dosenPenguji.karyawan.namaKaryawan}">asdasdasd</span></div>

                                                                                        <div class="my-2"><i class="fa fa-circle text-blue-m2 text-xs mr-1"></i> <span class="text-600 text-90">Pembimbing 1 :</span> <span class="text-600 text-110 text-blue align-middle" th:text="${data.note.dosen.karyawan.namaKaryawan}">asdasdasd</span> </div>

                                                                                        <div class="my-2" th:if="${data .note.mahasiswa.idProdi.idJenjang.id == '02'}"><i class="fa fa-circle text-blue-m2 text-xs mr-1"></i> <span class="text-600 text-90">Pembimbing 2 :</span> <span class="text-600 text-110 text-blue align-middle" th:text="${data.note.dosen2?.karyawan?.namaKaryawan}">asdasdasd</span> </div>

                                                                                        <div th:if="${'NONAKTIF' == data.publish}" class="my-2"><i class="fa fa-circle text-blue-m2 text-xs mr-1"></i> <span class="text-600 text-90">Status:</span> <span class="badge badge-warning badge-pill px-25">Belum Publish</span></div>
                                                                                        <div th:if="${'AKTIF' == data.publish && data.nilai >= 70}" class="my-2"><i class="fa fa-circle text-blue-m2 text-xs mr-1"></i> <span class="text-600 text-90">Status:</span> <span class="badge badge-success badge-pill px-25">Lulus</span></div>
                                                                                        <div th:if="${'AKTIF' == data.publish && data.nilai < 70}" class="my-2"><i class="fa fa-circle text-blue-m2 text-xs mr-1"></i> <span class="text-600 text-90">Status:</span> <span class="badge badge-danger badge-pill px-25">Tidak Lulus</span></div>
                                                                                    </div>
                                                                                </div>
                                                                                <!-- /.col -->
                                                                            </div>

                                                                            <div class="mt-4">
                                                                                <div class="row border-b-2 brc-default-l2"></div>
                                                                                <!-- or use a table instead -->

                                                                                <div class="table-responsive">
                                                                                    <table class="table table-striped table-borderless border-0 border-b-2 brc-default-l1">
                                                                                        <thead class="bg-none bgc-default-tp1">
                                                                                        <tr class="text-black">
                                                                                            <th class="opacity-2">#</th>
                                                                                            <th>Komponen</th>
                                                                                            <th>Ketua</th>
                                                                                            <th>Penguji</th>
                                                                                            <th>Pembimbing</th>
                                                                                            <th th:if="${data.note.mahasiswa.idProdi.idJenjang.id == '02'}">Pembimbing 2</th>
                                                                                        </tr>
                                                                                        </thead>

                                                                                        <tbody class="text-95 text-secondary-d3" th:if="${data.note.jenis == data.note.jenis.SKRIPSI || data.note.jenis == data.note.jenis.MAGANG || data.note.jenis == data.note.jenis.JURNAL}">
                                                                                        <tr></tr>
                                                                                        <tr>
                                                                                            <td>1</td>
                                                                                            <td>Perumusan Masalah</td>
                                                                                            <td align="center" th:text="${data.ka}">90.00</td>
                                                                                            <td align="center" th:text="${data.ua}">90.00</td>
                                                                                            <td align="center" th:text="${data.pa}">90.00</td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                            <td>2</td>
                                                                                            <td>Tinjauan Pustaka</td>
                                                                                            <td align="center" th:text="${data.kb}">90.00</td>
                                                                                            <td align="center" th:text="${data.ub}">90.00</td>
                                                                                            <td align="center" th:text="${data.pb}">90.00</td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                            <td>3</td>
                                                                                            <td>Metode Penelitian</td>
                                                                                            <td align="center" th:text="${data.kc}">90.00</td>
                                                                                            <td align="center" th:text="${data.uc}">90.00</td>
                                                                                            <td align="center" th:text="${data.pc}">90.00</td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                            <td>4</td>
                                                                                            <td>Manfaat Tugas Akhir</td>
                                                                                            <td align="center" th:text="${data.kd}">90.00</td>
                                                                                            <td align="center" th:text="${data.ud}">90.00</td>
                                                                                            <td align="center" th:text="${data.pd}">90.00</td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                            <td>5</td>
                                                                                            <td>Kelayakan Tugas Akhir</td>
                                                                                            <td align="center" th:text="${data.ke}">90.00</td>
                                                                                            <td align="center" th:text="${data.ue}">90.00</td>
                                                                                            <td align="center" th:text="${data.pe}">90.00</td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                            <td>6</td>
                                                                                            <td>Kedalaman Tinjauan Syariah</td>
                                                                                            <td align="center" th:text="${data.kf}">90.00</td>
                                                                                            <td align="center" th:text="${data.uf}">90.00</td>
                                                                                            <td align="center" th:text="${data.pf}">90.00</td>
                                                                                        </tr>
                                                                                        </tbody>

                                                                                        <tbody class="text-95 text-secondary-d3" th:if="${data.note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                                                        <tr></tr>
                                                                                        <tr>
                                                                                            <td>1</td>
                                                                                            <td>Presentasi</td>
                                                                                            <td align="center" th:text="${data.ka}">90.00</td>
                                                                                            <td align="center" th:text="${data.ua}">90.00</td>
                                                                                            <td align="center" th:text="${data.pa}">90.00</td>
                                                                                            <td align="center" th:if="${data.note.dosen2 != null}" th:text="${data.pa2}">90.00</td>
                                                                                            <td align="center" th:if="${data.note.dosen2 == null}">-</td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                            <td>2</td>
                                                                                            <td>Penguasaan Materi</td>
                                                                                            <td align="center" th:text="${data.kb}">90.00</td>
                                                                                            <td align="center" th:text="${data.ub}">90.00</td>
                                                                                            <td align="center" th:text="${data.pb}">90.00</td>
                                                                                            <td align="center" th:if="${data.note.dosen2 != null}" th:text="${data.pb2}">90.00</td>
                                                                                            <td align="center" th:if="${data.note.dosen2 == null}">-</td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                            <td>3</td>
                                                                                            <td>Teknik Penulisan</td>
                                                                                            <td align="center" th:text="${data.kc}">90.00</td>
                                                                                            <td align="center" th:text="${data.uc}">90.00</td>
                                                                                            <td align="center" th:text="${data.pc}">90.00</td>
                                                                                            <td align="center" th:if="${data.note.dosen2 != null}" th:text="${data.pc2}">90.00</td>
                                                                                            <td align="center" th:if="${data.note.dosen2 == null}">-</td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                            <td>4</td>
                                                                                            <td>Argumentasi</td>
                                                                                            <td align="center" th:text="${data.kd}">90.00</td>
                                                                                            <td align="center" th:text="${data.ud}">90.00</td>
                                                                                            <td align="center" th:text="${data.pd}">90.00</td>
                                                                                            <td align="center" th:if="${data.note.dosen2 != null}" th:text="${data.pd2}">90.00</td>
                                                                                            <td align="center" th:if="${data.note.dosen2 == null}">-</td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                            <td>5</td>
                                                                                            <td>Orisinalitas</td>
                                                                                            <td align="center" th:text="${data.ke}">90.00</td>
                                                                                            <td align="center" th:text="${data.ue}">90.00</td>
                                                                                            <td align="center" th:text="${data.pe}">90.00</td>
                                                                                            <td align="center" th:if="${data.note.dosen2 != null}" th:text="${data.pe2}">90.00</td>
                                                                                            <td align="center" th:if="${data.note.dosen2 == null}">-</td>
                                                                                        </tr>
                                                                                        </tbody>

                                                                                        <tbody class="text-95 text-secondary-d3" th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}">
                                                                                        <tr></tr>
                                                                                        <tr>
                                                                                            <td>1</td>
                                                                                            <td>Inovasi Produk</td>
                                                                                            <td align="center" th:text="${data.ka}">90.00</td>
                                                                                            <td align="center" th:text="${data.ua}">90.00</td>
                                                                                            <td align="center" th:text="${data.pa}">90.00</td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                            <td>2</td>
                                                                                            <td>Manfaat Produk/Bisnis</td>
                                                                                            <td align="center" th:text="${data.kb}">90.00</td>
                                                                                            <td align="center" th:text="${data.ub}">90.00</td>
                                                                                            <td align="center" th:text="${data.pb}">90.00</td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                            <td>3</td>
                                                                                            <td>Kelayakan Bisnis</td>
                                                                                            <td align="center" th:text="${data.kc}">90.00</td>
                                                                                            <td align="center" th:text="${data.uc}">90.00</td>
                                                                                            <td align="center" th:text="${data.pc}">90.00</td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                            <td>4</td>
                                                                                            <td>Tinjauan Syariah</td>
                                                                                            <td align="center" th:text="${data.kd}">90.00</td>
                                                                                            <td align="center" th:text="${data.ud}">90.00</td>
                                                                                            <td align="center" th:text="${data.pd}">90.00</td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                            <td>5</td>
                                                                                            <td>Tinajauan Pustaka</td>
                                                                                            <td align="center" th:text="${data.ke}">90.00</td>
                                                                                            <td align="center" th:text="${data.ue}">90.00</td>
                                                                                            <td align="center" th:text="${data.pe}">90.00</td>
                                                                                        </tr>
                                                                                        </tbody>
                                                                                    </table>
                                                                                </div>


                                                                                <div class="row mt-3">
                                                                                    <div class="col-12 col-sm-7 text-grey-d2 text-95 mt-2 mt-lg-0">

                                                                                    </div>

                                                                                    <div class="col-12 col-sm-5 text-grey text-90 order-first order-sm-last">
                                                                                        <div class="row my-2">
                                                                                            <div class="col-7 text-right">
                                                                                                Total :
                                                                                            </div>
                                                                                            <div class="col-5">
                                                                                                <span class="text-120 text-secondary-d1"><strong th:text="${data.nilai}"></strong></span>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>

                                                                                <hr />
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">tutup</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <button th:if="${data.publish == 'NONAKTIF' && data.status == data.status.APPROVED}" type="button" class="btn btn-info btn-outline-success btn-sm fas fa-share"
                                                    data-toggle="modal" aria-haspopup="true" th:data-target="${'#modal-publish1'+data.id}"> Publish</button>
                                            <button type="button" class="btn btn-success btn-sm"
                                                    th:if="${data.status == data.status.APPROVED && data.statusSempro == data.statusSempro.APPROVED && data.publish == 'AKTIF' && data.note.jenis != data.note.jenis.JURNAL }">
                                                <a class="text-white" th:href="@{/suratTugas/seminar/pdf(seminar = ${data.id})}">Cetak Surat Tugas</a>
                                            </button>

                                            <button type="button" class="btn btn-success btn-outline-success btn-sm" data-toggle="modal" th:data-target="${'#modal-approvedakademik' + data.id}" th:if="${data.status == data.status.WAITING}">
                                                Approved
                                            </button>

                                            <button type="button" class="btn btn-success btn-outline-success btn-sm"
                                                    data-toggle="modal"
                                                    th:data-target="${'#modal-approvedakademik' + data.id}"
                                                    th:if="${data.status == data.status.APPROVED_AKADEMIK && data.note.jenis == data.note.jenis.JURNAL && kps != null}">
                                                Approved
                                            </button>

                                            <button type="button" class="btn btn-danger btn-outline-danger btn-sm" data-toggle="modal" th:data-target="${'#modal-rejectakademik' + data.id}" th:if="${data.status == data.status.WAITING}">
                                                Reject
                                            </button>

                                            <button type="button" class="btn btn-danger btn-outline-danger btn-sm"
                                                    data-toggle="modal"
                                                    th:data-target="${'#modal-rejectakademik' + data.id}"
                                                    th:if="${data.status == data.status.APPROVED_AKADEMIK && data.note.jenis
                                                == data.note.jenis.JURNAL && kps != null}">
                                                Reject
                                            </button>

                                            <div class="modal fade" th:id="${'modal-approvedakademik'+data.id}" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog modal-dialog-centered" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="exampleModalLabel">Komentar</h5>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">&times;</span>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <form
                                                                    th:action="@{/graduation/seminar/approvedakademik (seminar = ${data.id})}"
                                                                    method="post"
                                                                    th:if="${data.note.jenis != data.note.jenis.JURNAL}">
                                                                <div class="form-group">
                                                                    <textarea name="keterangan" class="form-control" placeholder="Comment" id="" cols="30" rows="10"></textarea>
                                                                </div>
                                                                <div class="form-group">
                                                                    <button class="btn btn-success" type="submit">Approved</button>
                                                                </div>
                                                            </form>

                                                            <form
                                                                    th:action="@{/graduation/seminar/approved-jurnal (seminar = ${data.id})}"
                                                                    method="post" th:if="${data.note.jenis ==
                                                                data.note.jenis.JURNAL &&
                                                                data.status == data.status.APPROVED_AKADEMIK}">
                                                                <div class="form-group">
                                                                    <textarea name="keterangan" class="form-control"
                                                                              placeholder="Comment" id="" cols="30"
                                                                              rows="10"></textarea>
                                                                </div>
                                                                <div class="form-group">
                                                                    <button class="btn btn-success"
                                                                            type="submit">Approved</button>
                                                                </div>
                                                            </form>

                                                            <form
                                                                    th:action="@{/graduation/seminar/approvedakademik (seminar = ${data.id})}"
                                                                    method="post"
                                                                    th:if="${data.note.jenis == data.note.jenis.JURNAL &&
                                                                data.status == data.status.WAITING}">
                                                                <div class="form-group">
                                                                    <textarea name="keterangan" class="form-control"
                                                                              placeholder="Comment" id="" cols="30"
                                                                              rows="10"></textarea>
                                                                </div>
                                                                <div class="form-group">
                                                                    <button class="btn btn-success"
                                                                            type="submit">Approved</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="modal fade" th:id="${'modal-rejectakademik'+data.id}" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog modal-dialog-centered" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="exampleModalLabel">Komentar</h5>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">&times;</span>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <form th:action="@{/graduation/seminar/rejectakademik (seminar = ${data.id})}" method="post">
                                                                <div class="form-group">
                                                                    <textarea name="keterangan" class="form-control" placeholder="Comment" cols="30" rows="10"></textarea>
                                                                </div>
                                                                <input type="hidden" name="id" th:value="${data.id}">
                                                                <div class="form-group">
                                                                    <button class="btn btn-danger" type="submit">Reject</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <button type="button" class="btn btn-primary btn-outline-primary btn-sm" data-toggle="modal" th:if="${data.note.jenis != data.note.jenis.JURNAL}"  th:data-target="${'#modal-default' + data.id}">
                                                <i class="fas fa-list"></i> Detail Seminar
                                            </button>

                                            <button type="button" class="btn btn-info btn-outline-info btn-sm dropdown-toggle"
                                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Lihat
                                                File</button>

                                            <div class="dropdown-menu" th:if="${data.note.jenis == data.note.jenis.JURNAL}">
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/file-jurnal/{file}/(seminar=${data.id},file=${'jurnal'})}" target="_blank">Artikel Jurnal & LOA</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/file-jurnal/{file}/(seminar=${data.id},file=${'pendaftaran'})}" target="_blank">Permohonan Pernyataan Kelulusan</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/file-jurnal/{file}/(seminar=${data.id},file=${'bimbingan'})}" target="_blank">Kartu Bimbingan</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/file-jurnal/{file}/(seminar=${data.id},file=${'ktp'})}" target="_blank">KTP</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/file-jurnal/{file}/(seminar=${data.id},file=${'ijazah'})}" target="_blank">Ijazah</a>
                                            </div>

                                            <div class="dropdown-menu" th:if="${data.note.mahasiswa.idProdi.idJenjang.id == '01' || data.note.mahasiswa.idProdi.idJenjang.id == '03'}">
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/formulir/(seminar=${data.id})}" target="_blank">Formulir Sempro</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/pengesahan/(seminar=${data.id})}" target="_blank">Lembar Persetujuan Pembimbing</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/bimbingan/(seminar=${data.id})}" target="_blank">Kartu Bimbingan</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/kehadiran/(seminar=${data.id})}" target="_blank">Kartu Kehadiran Seminar</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/skripsi/(seminar=${data.id})}" target="_blank">Skripsi Bab 1 - 3</a>
                                            </div>

                                            <div class="dropdown-menu" th:if="${data.note.jenis == data.note.jenis.JURNAL}">
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/formulir/(seminar=${data.id})}" target="_blank">Formulir Sempro</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/pengesahan/(seminar=${data.id})}" target="_blank">Lembar Persetujuan Pembimbing</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/skripsi/(seminar=${data.id})}" target="_blank">Draft Seminar</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/bimbingan/(seminar=${data.id})}" target="_blank">Laporan Kehadiran Seminar</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/fileturnitin/(seminar=${data.id})}" target="_blank">Hasil Turnitin</a>
                                                <a class="dropdown-item" th:href="@{/upload/{seminar}/covernote/(seminar=${data.id})}" target="_blank">Cover Note (Ringkasan Proposal)</a>
                                            </div>

                                            <div class="modal fade bd-example-modal-lg fade" th:id="${'modal-publish1'+data.id}" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog modal-lg" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" >Detail Nilai Seminar</h5>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">&times;</span>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="alert alert-danger alert-with-icon" th:id="${data.id+'-alertSave'}" style="display: none">
                                                                <button type="button" aria-hidden="true" class="close" data-dismiss="alert" aria-label="Close">
                                                                    <i class="fas fa-warning"></i>
                                                                </button>
                                                                <span data-notify="icon" class="tim-icons icon-trophy"></span>
                                                                <span id="textAlert"><b> Maaf! - </b>Nilai Belum Lengkap.</span>
                                                            </div>

                                                            <div class="alert alert-danger alert-with-icon"
                                                                 th:id="${data.id+'-alertKrs'}" style="display: none">
                                                                <button type="button" aria-hidden="true" class="close"
                                                                        data-dismiss="alert" aria-label="Close">
                                                                    <i class="fas fa-warning"></i>
                                                                </button>
                                                                <span data-notify="icon"
                                                                      class="tim-icons icon-trophy"></span>
                                                                <span id="textAlert"><b> Maaf! - </b>Anda Belum Mengambil KRS Ujian Proposal.</span>
                                                            </div>
                                                            <table class="table table-bordered table-hover">
                                                                <thead class="thead-light">
                                                                <tr class="table-primary">
                                                                    <th class="opacity-2">#</th>
                                                                    <th>Komponen</th>
                                                                    <th>Ketua</th>
                                                                    <th>Penguji</th>
                                                                    <th>Pembimbing</th>
                                                                    <th th:if="${data .note.mahasiswa.idProdi.idJenjang.id == '02'}">Pembimbing 2</th>
                                                                </tr>
                                                                </thead>

                                                                <tbody class="text-95 text-secondary-d3" th:if="${data.note.jenis == data.note.jenis.SKRIPSI || data.note.jenis == data.note.jenis.MAGANG || data.note.jenis == data.note.jenis.JURNAL}">
                                                                <tr></tr>
                                                                <tr>
                                                                    <td>1</td>
                                                                    <td>Perumusan Masalah</td>
                                                                    <td align="center" th:text="${data.ka}">90.00</td>
                                                                    <td align="center" th:text="${data.ua}">90.00</td>
                                                                    <td align="center" th:text="${data.pa}">90.00</td>
                                                                </tr>

                                                                <tr>
                                                                    <td>2</td>
                                                                    <td>Tinjauan Pustaka</td>
                                                                    <td align="center" th:text="${data.kb}">90.00</td>
                                                                    <td align="center" th:text="${data.ub}">90.00</td>
                                                                    <td align="center" th:text="${data.pb}">90.00</td>
                                                                </tr>

                                                                <tr>
                                                                    <td>3</td>
                                                                    <td>Metode Penelitian</td>
                                                                    <td align="center" th:text="${data.kc}">90.00</td>
                                                                    <td align="center" th:text="${data.uc}">90.00</td>
                                                                    <td align="center" th:text="${data.pc}">90.00</td>
                                                                </tr>

                                                                <tr>
                                                                    <td>4</td>
                                                                    <td>Manfaat Tugas Akhir</td>
                                                                    <td align="center" th:text="${data.kd}">90.00</td>
                                                                    <td align="center" th:text="${data.ud}">90.00</td>
                                                                    <td align="center" th:text="${data.pd}">90.00</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>5</td>
                                                                    <td>Kelayakan Tugas Akhir</td>
                                                                    <td align="center" th:text="${data.ke}">90.00</td>
                                                                    <td align="center" th:text="${data.ue}">90.00</td>
                                                                    <td align="center" th:text="${data.pe}">90.00</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>6</td>
                                                                    <td>Kedalaman Tinjauan Syariah</td>
                                                                    <td align="center" th:text="${data.kf}">90.00</td>
                                                                    <td align="center" th:text="${data.uf}">90.00</td>
                                                                    <td align="center" th:text="${data.pf}">90.00</td>
                                                                </tr>
                                                                </tbody>

                                                                <tbody class="text-95 text-secondary-d3" th:if="${data .note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                                <tr></tr>
                                                                <tr>
                                                                    <td>1</td>
                                                                    <td>Presentasi</td>
                                                                    <td align="center" th:text="${data.ka}">90.00</td>
                                                                    <td align="center" th:text="${data.ua}">90.00</td>
                                                                    <td align="center" th:text="${data.pa}">90.00</td>
                                                                    <td align="center" th:if="${data.note.dosen2 != null}" th:text="${data.pa2}">90.00</td>
                                                                    <td align="center" th:if="${data.note.dosen2 == null}">-</td>
                                                                </tr>

                                                                <tr>
                                                                    <td>2</td>
                                                                    <td>Penguasaan Materi</td>
                                                                    <td align="center" th:text="${data.kb}">90.00</td>
                                                                    <td align="center" th:text="${data.ub}">90.00</td>
                                                                    <td align="center" th:text="${data.pb}">90.00</td>
                                                                    <td align="center" th:if="${data.note.dosen2 != null}" th:text="${data.pb2}">90.00</td>
                                                                    <td align="center" th:if="${data.note.dosen2 == null}">-</td>
                                                                </tr>

                                                                <tr>
                                                                    <td>3</td>
                                                                    <td>Teknik Penulisan</td>
                                                                    <td align="center" th:text="${data.kc}">90.00</td>
                                                                    <td align="center" th:text="${data.uc}">90.00</td>
                                                                    <td align="center" th:text="${data.pc}">90.00</td>
                                                                    <td align="center" th:if="${data.note.dosen2 != null}" th:text="${data.pc2}">90.00</td>
                                                                    <td align="center" th:if="${data.note.dosen2 == null}">-</td>
                                                                </tr>

                                                                <tr>
                                                                    <td>4</td>
                                                                    <td>Argumentasi</td>
                                                                    <td align="center" th:text="${data.kd}">90.00</td>
                                                                    <td align="center" th:text="${data.ud}">90.00</td>
                                                                    <td align="center" th:text="${data.pd}">90.00</td>
                                                                    <td align="center" th:if="${data.note.dosen2 != null}" th:text="${data.pd2}">90.00</td>
                                                                    <td align="center" th:if="${data.note.dosen2 == null}">-</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>5</td>
                                                                    <td>Orisinalitas</td>
                                                                    <td align="center" th:text="${data.ke}">90.00</td>
                                                                    <td align="center" th:text="${data.ue}">90.00</td>
                                                                    <td align="center" th:text="${data.pe}">90.00</td>
                                                                    <td align="center" th:if="${data.note.dosen2 != null}" th:text="${data.pe2}">90.00</td>
                                                                    <td align="center" th:if="${data.note.dosen2 == null}">-</td>
                                                                </tr>
                                                                </tbody>

                                                                <tbody class="text-95 text-secondary-d3" th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}">
                                                                <tr></tr>
                                                                <tr>
                                                                    <td>1</td>
                                                                    <td>Inovasi Produk</td>
                                                                    <td align="center" th:text="${data.ka}">90.00</td>
                                                                    <td align="center" th:text="${data.ua}">90.00</td>
                                                                    <td align="center" th:text="${data.pa}">90.00</td>
                                                                </tr>

                                                                <tr>
                                                                    <td>2</td>
                                                                    <td>Manfaat Produk/Bisnis</td>
                                                                    <td align="center" th:text="${data.kb}">90.00</td>
                                                                    <td align="center" th:text="${data.ub}">90.00</td>
                                                                    <td align="center" th:text="${data.pb}">90.00</td>
                                                                </tr>

                                                                <tr>
                                                                    <td>3</td>
                                                                    <td>Kelayakan Bisnis</td>
                                                                    <td align="center" th:text="${data.kc}">90.00</td>
                                                                    <td align="center" th:text="${data.uc}">90.00</td>
                                                                    <td align="center" th:text="${data.pc}">90.00</td>
                                                                </tr>

                                                                <tr>
                                                                    <td>4</td>
                                                                    <td>Tinjauan Syariah</td>
                                                                    <td align="center" th:text="${data.kd}">90.00</td>
                                                                    <td align="center" th:text="${data.ud}">90.00</td>
                                                                    <td align="center" th:text="${data.pd}">90.00</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>5</td>
                                                                    <td>Tinajauan Pustaka</td>
                                                                    <td align="center" th:text="${data.ke}">90.00</td>
                                                                    <td align="center" th:text="${data.ue}">90.00</td>
                                                                    <td align="center" th:text="${data.pe}">90.00</td>
                                                                </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <input type="hidden" id="seminar" th:value="${data.id}">
                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">tutup</button>
                                                            <button type="submit" th:id="${data.id}" class="btn btn-primary publish-data">Publish</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                            <center>
                                <div class="card-footer">

                                    <nav aria-label="Page navigation example">
                                        <ul class="pagination" sd:pagination="full">
                                            <li class="page-item">
                                                <a class="page-link" href="#" aria-label="Previous">
                                                    <i class="fa fa-angle-left"></i>
                                                    <span class="sr-only">Previous</span>
                                                </a>
                                            </li>
                                            <li class="page-item"><a class="page-link" href="#">1</a></li>

                                            <li class="page-item">
                                                <a class="page-link" href="#" aria-label="Next">
                                                    <i class="fa fa-angle-right"></i>
                                                    <span class="sr-only">Next</span>
                                                </a>
                                            </li>
                                        </ul>
                                    </nav>


                                </div>
                            </center>

                        </div>

                    </div>
                </div>
            </div>
        </div>
        <!-- Dark table -->

    </div>
</div>
</body>
</html>
<script>
    $(".publish-data").click(function(e) {
        var id = this.id;
        var token = $("input[name='_csrf']").val();
        var url = "/graduation/seminar/dosen/publish";
        e.preventDefault();

        $.ajax({
            url: url+'?seminar='+id,
            contentType: "application/json;charset=UTF-8",
            headers: {"X-CSRF-TOKEN": token},
            method: 'post',
            dataType: 'JSON',
            data: JSON.stringify({
                "id" : id,
            }), error: function (data) {
                if (data.responseText == "lengkapi"){
                    document.getElementById(id+'-alertSave').style.display = "block";
                    setTimeout(function () {
                        document.getElementById(id+'alertSave').style.display = "none";
                    }, 5000);
                }

                if (data.responseText == "krs"){
                    document.getElementById(id+'-alertKrs').style.display = "block";
                    setTimeout(function () {
                        document.getElementById(id+'alertKrs').style.display = "none";
                    }, 5000);
                }


                if (data.responseText == "berhasil"){
                    window.location.reload();
                }


            }
        })

    });
</script>